%define api 3.0
%define major 2
%define libname %mklibname dmapsharing %api %major
%define develname %mklibname -d dmapsharing %api

Name: libdmapsharing
Version: 2.9.16
Release: %mkrel 3
License: LGPLv2+
Source: http://www.flyn.org/projects/libdmapsharing/%{name}-%{version}.tar.gz
Patch0: libdmapsharing-2.9.14-link.patch
Patch1: libdmapsharing-2.9.16-automake-1.13.patch
URL: http://www.flyn.org/projects/libdmapsharing/index.html
Summary: A DMAP client and server library
Group: System/Libraries
BuildRequires: pkgconfig(avahi-client)
BuildRequires: pkgconfig(avahi-glib)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gstreamer-app-1.0)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= 0.10.23.2
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: gnome-common
BuildRequires: gtk-doc

%description
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%package -n %libname
Summary: A DMAP client and server library
Group: System/Libraries

%description -n %libname
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%files -n %libname
%defattr(-, root, root, -)
%{_libdir}/libdmapsharing-%{api}.so.%{major}
%{_libdir}/libdmapsharing-%{api}.so.%{major}.*

%package -n %develname
Summary: Files needed to develop applications using libdmapsharing
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.  This package provides the libraries, include files, and
other resources needed for developing applications using libdmapsharing.

%files -n %develname
%defattr(-, root, root, -)
%{_libdir}/pkgconfig/libdmapsharing-*.pc
%{_includedir}/libdmapsharing-*
%{_libdir}/libdmapsharing-%{api}.so
%{_datadir}/gtk-doc/html/libdmapsharing-%{api}

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .automake-1_13

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.9.16-3.mga3
+ Revision: 356992
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.9.16-2.mga3
+ Revision: 341584
- patch1: fix build with automake 1.13

* Thu Dec 20 2012 fwang <fwang> 2.9.16-1.mga3
+ Revision: 333336
- new version 2.9.16

* Fri Jun 08 2012 fwang <fwang> 2.9.15-1.mga3
+ Revision: 257510
- new version 2.9.15

* Mon Jan 02 2012 fwang <fwang> 2.9.14-1.mga2
+ Revision: 189614
- br gtk-doc
- fix linkage

  + tv <tv>
    - new release

* Tue Oct 04 2011 fwang <fwang> 2.9.12-2.mga2
+ Revision: 151478
- drop .la files

* Thu Jun 16 2011 pterjan <pterjan> 2.9.12-1.mga2
+ Revision: 108436
- Switch to 3.0 branch

* Thu Mar 24 2011 boklm <boklm> 2.1.9-3.mga1
+ Revision: 76165
- rebuild for bug #497

* Sat Mar 05 2011 tv <tv> 2.1.9-2.mga1
+ Revision: 64653
- rebuild

* Sat Mar 05 2011 dmorgan <dmorgan> 2.1.9-1.mga1
+ Revision: 64647
- imported package libdmapsharing

